<#if view.hasPSControl('form')>
<#assign view_content>
        <component 
            :is="activeForm.name"
            :isautoload="true"
            :viewState="viewState"  
            :viewparams="viewparams" 
            :context="context" 
            :autosave="false" 
            :viewtag="viewtag"
            :showBusyIndicator="activeForm.showBusyIndicator"
            :updateAction="activeForm.updateAction"
            :removeAction="activeForm.removeAction"
            :loaddraftAction="activeForm.loaddraftAction"
            :loadAction="activeForm.loadAction"
            :createAction="activeForm.createAction"
            :WFSubmitAction="activeForm.WFSubmitAction"
            :WFStartAction="activeForm.WFStartAction"
            name="form"  
            ref='form' 
            @save="form_save($event)"  
            @remove="form_remove($event)"  
            @load="form_load($event)"  
            @closeview="closeView($event)">
        </component>
</#assign>
<#assign view_footer>
      <div class="wf_btn">
        <ion-button v-for="(linkItem,index) in linkModel" :key="index" @click="dynamic_toolbar_click(linkItem, $event)" class="wf_btn_item">
                {{linkItem.sequenceFlowName}}
        </ion-button>
      </div>
</#assign>
</#if>

<#ibizinclude>
../@MACRO/VIEW_LAYOUT_BASE.ftl
</#ibizinclude>